Get Contact
GET https://services.leadconnectorhq.com/contacts/{contactId}
Authorization
Path parameters
Responses
200 - Successful response
contact (object)
id (string): Example: seD4PfOuKoVMLkEZqohJ
name (string): Example: rubika deo
locationId (string): Example: ve9EPM428h8vShlRW1KT
firstName (string): Example: rubika
lastName (string): Example: Deo
email (string): Example: rubika@deos.com
emailLowerCase (string): Example: rubika@deos.com
timezone (string): Example: Asia/Calcutta
companyName (string): Example: DGS VolMAX
phone (string): Example: +18832327657
dnd (boolean): Example: True
dndSettings (object)
Call (object)
status (string, required): Possible values: 'active', 'inactive', 'permanent'
Email (object)
status (string, required): Possible values: 'active', 'inactive', 'permanent'
SMS (object)
status (string, required): Possible values: 'active', 'inactive', 'permanent'
WhatsApp (object)
status (string, required): Possible values: 'active', 'inactive', 'permanent'
GMB (object)
status (string, required): Possible values: 'active', 'inactive', 'permanent'
FB (object)
status (string, required): Possible values: 'active', 'inactive', 'permanent'
type (string): Example: read
source (string): Example: public api
assignedTo (string): Example: ve9EPM428h8vShlRW1KT
address1 (string): Example: 3535 1st St N
city (string): Example: ruDolomitebika
state (string): Example: AL
country (string): Example: US
postalCode (string): Example: 35061
website (string): Example: https://www.tesla.com
dateOfBirth (string): Example: Date format YYYY-MM-DD
dateAdded (string): Example: 2021-07-02T05:18:26.704Z
dateUpdated (string): Example: 2021-07-02T05:18:26.704Z
keyword (string): Example: test
firstNameLowerCase (string): Example: rubika
fullNameLowerCase (string): Example: rubika deo
lastNameLowerCase (string): Example: deo
lastActivity (string): Example: 2021-07-16T11:39:30.564Z
customFields (object[])
id (string): Example: MgobCB14YMVKuE4Ka8p1
value (string): Example: name
businessId (string): Example: 641c094001436dbc2081e642
attributionSource (object)
url (string, required): Example: Trigger Link
referrer (string): Example: https: //www.google.com
gclid (string): Example: CjOKCQjwnNyUBhCZARISAI9AYIFtNnIcWcYGIOQINz_ZoFI5SSLRRugSoPZoiEu27IZBY£1-MAIWmEaAo2VEALW_WCB
fbp (string): Example: fb. 1.1674748390986.1171287961
fbEventId (string): Example: Mozilla/5.0
userAgent (string): Example: Mozilla/5.0
ip (string): Example: 58.111.106.198
medium (string): Example: survey
mediumId (string): Example: FglfHAn30PRwsZVyQlKp
lastAttributionSource (object)
url (string, required): Example: Trigger Link
referrer (string): Example: https: //www.google.com
gclid (string): Example: CjOKCQjwnNyUBhCZARISAI9AYIFtNnIcWcYGIOQINz_ZoFI5SSLRRugSoPZoiEu27IZBY£1-MAIWmEaAo2VEALW_WCB
fbp (string): Example: fb. 1.1674748390986.1171287961
fbEventId (string): Example: Mozilla/5.0
userAgent (string): Example: Mozilla/5.0
ip (string): Example: 58.111.106.198
medium (string): Example: survey
mediumId (string): Example: FglfHAn30PRwsZVyQlKp
visitorId (string): visitorId is the Unique ID assigned to each Live chat visitor. Example: ve9EPM428h8vShlRW1KT
{
"contact": {
"id": "seD4PfOuKoVMLkEZqohJ",
"name": "rubika deo",
"locationId": "ve9EPM428h8vShlRW1KT",
"firstName": "rubika",
"lastName": "Deo",
"email": "rubika@deos.com",
"emailLowerCase": "rubika@deos.com",
"timezone": "Asia/Calcutta",
"companyName": "DGS VolMAX",
"phone": "+18832327657",
"dnd": true,
"dndSettings": {
"Call": {
"status": "active",
"message": "string",
"code": "string"
},
"Email": {
"status": "active",
"message": "string",
"code": "string"
},
"SMS": {
"status": "active",
"message": "string",
"code": "string"
},
"WhatsApp": {
"status": "active",
"message": "string",
"code": "string"
},
"GMB": {
"status": "active",
"message": "string",
"code": "string"
},
// truncado: 79 lineas mas
}
400 - Bad Request
401 - Unauthorized
422 - Unprocessable Entity
Example
curl -X GET 'https://services.leadconnectorhq.com/contacts/YOUR_contactId' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/contacts/YOUR_contactId', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();
import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/contacts/YOUR_contactId',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/contacts/YOUR_contactId');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);